Package com.google.android.exoplayer2.metadata.id3

## Class ApicFrame

- java.lang.Object
- - com.google.android.exoplayer2.metadata.id3.Id3Frame
  - - com.google.android.exoplayer2.metadata.id3.ApicFrame

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class ApicFrame
      extends Id3Frame

  APIC (Attached Picture) ID3 frame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<ApicFrame>` | `CREATOR` |
    `String` | `description` |
    `static String` | `ID` |
    `String` | `mimeType` |
    `byte[]` | `pictureData` |
    `int` | `pictureType` |

    - ### Fields inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `id`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApicFrame​(String mimeType, String description, int pictureType, byte[] pictureData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `void` | `populateMediaMetadata​(MediaMetadata.Builder builder)` | Updates the `MediaMetadata.Builder` with the type-specific values stored in this `Entry`.
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `describeContents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### mimeType

          public final String mimeType

    - #### description

          @Nullable
          public final String description

    - #### pictureType

          public final int pictureType

    - #### pictureData

          public final byte[] pictureData

    - #### CREATOR

          public static final Parcelable.Creator<ApicFrame> CREATOR

  - ### Constructor Detail

    - #### ApicFrame

          public ApicFrame​(String mimeType,
                           @Nullable
                           String description,
                           int pictureType,
                           byte[] pictureData)

  - ### Method Detail

    - #### populateMediaMetadata

          public void populateMediaMetadata​(MediaMetadata.Builder builder)

      Description copied from interface: `Metadata.Entry`
      Updates the `MediaMetadata.Builder` with the type-specific values stored in this `Entry`.
      Parameters:
        `builder` - The builder to be updated.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Id3Frame`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)